
Infrastructure - Task #2383

Story # 2045 (Closed): Get the DataONE CLI ready for public release

CLI "Fields" command crashes program

2012-02-23 18:43 - Andrew Pippin

Status: Closed Start date: 2012-02-23

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The "@fields@" command should be listing the SOLR index fileds that are available for use in the search command.  It is failing:

      @AttributeError: 'CoordinatingNodeClient' object has no attribute 'getSearchFields'@

History

#1 - 2012-02-23 22:51 - Andrew Pippin

- Assignee changed from Andrew Pippin to Roger Dahl

#2378, #2383, and #2358 are three tasks I created relating to search.

#2 - 2012-03-06 00:23 - Andrew Pippin

- Status changed from New to Closed

Fields has been deprecated.
